Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157031 - fence packaging nits
Summary: fence packaging nits
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fence
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 11:36 UTC by Joe Orton
Modified: 2008-05-07 00:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:10:01 UTC


Attachments (Terms of Use)

Description Joe Orton 2005-05-06 11:36:50 UTC
1. don't own /sbin and mandir, in %files use e.g.:

/sbin/*
%{_mandir}/man?/*

to just own the *files within those directories*, not the directories
themselves.  The filesystem package should be the only one to own /sbin etc.

2. use the %{ix86} macro in ExclusiveArch, not i386

3. use a blank line between each changelog entry

4. use "make %{?_smp_mflags}" if your Makefile supports parallel builds; better
buildsystem utilization from SMP build boxes

5. add "Requires(post,preun): /sbin/chkconfig" for the scriptlet deps

6. more descriptive %description please! :)

Comment 1 Chris Feist 2005-05-06 14:14:05 UTC
Is there a web/wiki page somewhere that details issues like this?  I maintain
~20 packages and it would be useful to have a outline of how the .spec files are
supposed to look.

Comment 2 Joe Orton 2005-05-06 14:24:41 UTC
There is http://www.fedoraproject.org/wiki/PackagingGuidelines and there is an
internal wiki page somewhere too, but they probably don't cover everything.

Comment 3 Chris Feist 2005-05-09 21:01:36 UTC
All of these issues should be resolved in fence-1.27-16.

Comment 4 Joe Orton 2005-05-10 10:30:55 UTC
Looks good.  One further comment:

Why is the init script marked as a %config file?  Generally they shouldn't be;
if there's no reason for a user to modify the file it shouldn't be marked
%config.  And it already sources sysconfig/cluster for config variables, which
is the right way to allow users to control init script behaviour.


Comment 5 Bug Zapper 2008-04-03 16:08:46 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 00:09:59 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.